https://svn.lrde.epita.fr/svn/lrde-tools/trunk/build-farm
Index: ChangeLog
from Roland Levillain <roland(a)lrde.epita.fr>
Add a script to update Olena 0.10a's working copy on goa from a client.
* maintainer/update_unpacked-oln-0.10a: New.
update_unpacked-oln-0.10a | 51 ++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 51 insertions(+)
Index: maintainer/update_unpacked-oln-0.10a
--- maintainer/update_unpacked-oln-0.10a (revision 0)
+++ maintainer/update_unpacked-oln-0.10a (revision 0)
@@ -0,0 +1,51 @@
+#! /bin/sh
+
+# Update Olena 0.10a's working copy on goa.
+
+# To be run from a (client) machine that have access to the PRCS
+# repository, not from goa.
+
+if test x$(hostname) = xgoa; then
+ echo "This script is not meant to be run from goa."
+ exit 1
+fi
+
+# Trace.
+set -x
+# Exit on error.
+set -e
+
+tempdir=$(mktemp -d)
+cd $tempdir
+
+# Latest revision of the 0.10a branch.
+latest_rev=$(prcs info -r10.@ oln | cut -d" " -f 2)
+# Package name.
+package_name="olena-0.10a-$latest_rev"
+
+# Checkout.
+mkdir $package_name
+cd $package_name
+prcs checkout -r$latest_rev oln
+cd ..
+
+# Create a tarball.
+package_tarname="$package_name.tar.bz2"
+tar cjvf $package_tarname $package_name
+rm -rf $package_name
+
+# Send it to goa.
+scp $package_tarname pm@goa:/work/master/unpacked
+# Unpack it and update the symlink.
+# Note that the previous source tree is not removed
+# (the clean up has to be done by hand).
+ssh pm@goa \
+ "cd /work/master/unpacked && \
+ tar xjvf $package_tarname && \
+ rm -f $package_tarname && \
+ rm -f olena-0.10a && \
+ ln -s $package_name olena-0.10a"
+
+# Clean up.
+cd /tmp
+rm -rf $tempdir
Property changes on: maintainer/update_unpacked-oln-0.10a
___________________________________________________________________
Name: svn:executable
+ *